MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields

# input_stream Struct Reference

`#include <input_stream.h>`

## Data Fields
struct input_plugin * | plugin
| the plugin which implements this input stream
char * | uri
| The absolute URI which was used to open this stream.
bool | ready
| indicates whether the stream is ready for reading and whether the other attributes in this struct are valid
bool | seekable
| if true, then the stream is fully seekable
goffset | size
| the size of the resource, or -1 if unknown
goffset | offset
| the current offset within the stream
char * | mime
| the MIME content type of the resource, or NULL if unknown

## Detailed Description

Definition at line 35 of file input_stream.h.

## Field Documentation

char* input_stream::mime

the MIME content type of the resource, or NULL if unknown

Definition at line 71 of file input_stream.h.

goffset input_stream::offset

the current offset within the stream

Definition at line 66 of file input_stream.h.

struct input_plugin* input_stream::plugin

the plugin which implements this input stream

Definition at line 39 of file input_stream.h.

bool input_stream::ready

indicates whether the stream is ready for reading and whether the other attributes in this struct are valid

Definition at line 51 of file input_stream.h.

bool input_stream::seekable

if true, then the stream is fully seekable

Definition at line 56 of file input_stream.h.

goffset input_stream::size

the size of the resource, or -1 if unknown

Definition at line 61 of file input_stream.h.

char* input_stream::uri

The absolute URI which was used to open this stream.

May be NULL if this is unknown.

Definition at line 45 of file input_stream.h.

The documentation for this struct was generated from the following file:

- src/input_stream.h